Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Umschalten von Exact View zu Raster (Option: Shading with edges) )

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
Autor Thema:  Umschalten von Exact View zu Raster (Option: Shading with edges) ) (121 mal gelesen)
AndyMattes
Mitglied
Key User for CAD,PLM and FEM Software

Sehen Sie sich das Profil von AndyMattes an!   Senden Sie eine Private Message an AndyMattes  Schreiben Sie einen Gästebucheintrag für AndyMattes

Beiträge: 2
Registriert: 13.05.2022

erstellt am: 13. Mai. 2022 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Screenshot2022-05-13143200.jpg

 
Hallo Zusammen,

ich brauche euere Hilfe!
Ich versuche ein Drawing-Macro zu programieren, welches eine Ansicht mit Shading with edges erzeugt bzw. welches eine standard Ansicht umschält zu einer Ansicht mit Shading with edges.
Wie das ganze nachher grafisch ausehen sollte habe ich euch in einem Bild mit angehängt. (links standard Ansicht und linkts die Ansicht mit Shading with Edges)

Den Program-Code, welchen ich bereist erstellt habe, habe ich euch nachfolgend aufgeführt.
Dieser kann zumindest schon einmal die Standard Ansicht auf eine Raster ansicht umschalten (dies erfolgt mit dem Befehl catImageModeHRD).
Was ich habe nicht schaffe ist auf die Raster-Mode Optionen zuzgreinfen, wo ich die Ansicht auf Shading with Edges umschalten kann.

Das einizige was ich noch gefunden habe ist das enum RasterLevelOfDetail. Mit diesem lässt sich dann später die qualität der schatierung einstellen. Dazu müsste aber natürlich erst einmal die Option auf Schattierung gesetzt sein.

Kann mir jemand von euch helfen?

Vielen Dank euch schonmal.
PS: Ich habe euch noch ein zweites Bild angehängt, worauf die Optionen dargestellt sind, welche ich mit dem Macro umschalten möchte.
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Sub CATMain()

'Auswahl des Aktiven DRW Dokuments
Dim drawingDocument1 As DrawingDocument
Set drawingDocument1 = CATIA.ActiveDocument

'Auswahl aller Seiten des Aktiven DRW Dokuments
Dim drawingSheets1 As DrawingSheets
Set drawingSheets1 = drawingDocument1.Sheets

'Auswahl der ersten Seite des Aktiven DRW Dokuments
Dim drawingSheet1 As DrawingSheet
Set drawingSheet1 = drawingSheets1.Item("Sheet.1")

'Auswahl aller Ansichten auf der ersten Seite des DRW Dokuments
Dim drawingViews1 As DrawingViews
Set drawingViews1 = drawingSheet1.Views

'Auswahl aller Ansichten mit der Bezeichnung "Front view"
Dim drawingView1 As DrawingView
Set drawingView1 = drawingViews1.Item("Front view")

'Auswahl der aktiven "Front view" Ansicht
drawingView1.Activate

'Zuordnung der Farben in die aktive Ansicht----------------------------------------------
Dim drawingViewGenerativeBehavior1 As DrawingViewGenerativeBehavior
Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior

drawingViewGenerativeBehavior1.ColorInheritanceMode = cat3DColorInheritanceModeOn

Set drawingViewGenerativeBehavior1 = drawingView1.GenerativeBehavior

'----------------------------------------------------------------------------------------


'MyView.GenerativeBehavior.CatImageViewMode (catImageModeHRD)
Dim drawingViewGenerativeBehavior2 As DrawingViewGenerativeBehavior 'Definiert die Variable als Klasse der DrawingViewGenerativeBehavior
Set drawingViewGenerativeBehavior2 = drawingView1.GenerativeBehavior 'Erzeugt ein Objekt der Klasse DrawingViewGenerativeBehavior in dem drawingView1 einthalten ist

drawingViewGenerativeBehavior2.ImageViewMode = catImageModeHRD '.Shading


Set drawingViewGenerativeBehavior2 = drawingView1.GenerativeBehavior

'Aktualisieren der ausgewählten Ansicht
drawingViewGenerativeBehavior1.ForceUpdate
drawingViewGenerativeBehavior2.ForceUpdate

End Sub

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11639
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 14. Mai. 2022 10:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AndyMattes 10 Unities + Antwort hilfreich

Servus

Willkommen im Forum.
Ich befürchte dass dies nicht per Makro geht.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AndyMattes
Mitglied
Key User for CAD,PLM and FEM Software

Sehen Sie sich das Profil von AndyMattes an!   Senden Sie eine Private Message an AndyMattes  Schreiben Sie einen Gästebucheintrag für AndyMattes

Beiträge: 2
Registriert: 13.05.2022

erstellt am: 16. Mai. 2022 06:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus Bernd,

das Bedeutet also das per CATScript nicht auf die Optionen zugreiffen kann oder?

Grüße

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11639
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 16. Mai. 2022 07:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für AndyMattes 10 Unities + Antwort hilfreich

Servus

Ja

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz